## org.hibernate.engine.transaction
Interface IsolatedWork

    public interface IsolatedWork

Represents work that needs to be performed in a manner which isolates it from any current application unit of work transaction.

Author:
  Steve Ebersole

Method Summary
`void` `doWork(Connection connection)` Perform the actual work to be done.

Method Detail

### doWork

    void doWork(Connection connection)
                throws HibernateException

  Perform the actual work to be done.

  Parameters:
    `connection` - The JDBC connection to use.
  Throws:
    `HibernateException`

Copyright © 2001-2010 Red Hat, Inc. All Rights Reserved.